DEVICE_DELETE_CHILDREN(9)

NAME
device_delete_children - delete all child devices of a given device

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
int
device_delete_children(device_t dev);

DESCRIPTION
The device_delete_children() function deletes all child devices of the given device dev, if any, using the device_delete_child() function for each device it finds. If a child device cannot be deleted, this function will return an error code.

RETURN VALUES
Zero is returned on success, a non-zero return value indicates failure.

SEE ALSO
device_delete_child(9)

AUTHORS
This manual page was written by Jeroen Ruigrok van der Werven.